Net::LDAP::Control::SortResult(3)

NAME
Net::LDAP::Control::SortResult - Server Side Sort (SSS) result control object

SYNOPSIS
 use Net::LDAP::Control::Sort;
 use Net::LDAP::Constant qw(LDAP_CONTROL_SORTRESULT);
 use Net::LDAP::Util qw(ldap_error_name);
 $sort = Net::LDAP::Control::Sort->new(
   order => "cn -age"
 );
 $mesg = $ldap->search( @args, control => [ $sort ]);
 ($resp) = $mesg->control( LDAP_CONTROL_SORTRESULT );
 if ($resp) {
   if ($resp->result) {
     my $attr = $resp->attr;
     print "Problem sorting, ",ldap_error_name($resp->result);
     print " ($attr)" if $attr;
     print "\n";
   }
   else {
     print "Results are sorted\n";
   }
 }
 else {
   print "Server does not support sorting\n";
 }

DESCRIPTION
"Net::LDAP::Control::SortResult" is a sub-class of the Net::LDAP::Control manpage. It provides a class for manipulating the LDAP sort request control "1.2.840.113556.1.4.474" as defined in RFC-2891

A sort result control will be returned by the server in response to a search with a Server Side Sort control. If a sort result control is not returned then the user may assume that the server does not support sorting and the results are not sorted.

CONSTRUCTOR ARGUMENTS

attr
    If "result" indicates that there was a problem with sorting and that problem was due to one of the attributes specified in the sort control. "attr" is set to the name of the attribute causing the problem.

result
    This is the result code that describes if the sort operation was sucessful. If will be one of the result codes describes below.

METHODS
As with the Net::LDAP::Control manpage each constructor argument described above is also avaliable as a method on the object which will return the current value for the attribute if called without an argument, and set a new value for the attribute if called with an argument.

RESULT CODES
Possible results from a sort request are listed below. See the Net::LDAP::Constant manpage for a definition of each.

LDAP_SUCCESS
LDAP_OPERATIONS_ERROR
LDAP_TIMELIMIT_EXCEEDED
LDAP_STRONG_AUTH_REQUIRED
LDAP_ADMIN_LIMIT_EXCEEDED
LDAP_NO_SUCH_ATTRIBUTE
LDAP_INAPPROPRIATE_MATCHING
LDAP_INSUFFICIENT_ACCESS
LDAP_BUSY
LDAP_UNWILLING_TO_PERFORM
LDAP_OTHER

SEE ALSO
the Net::LDAP manpage, the Net::LDAP::Control::Sort manpage, the Net::LDAP::Control manpage, http://info.internet.isi.edu/in-notes/rfc/files/rfc2891.txt

AUTHOR
Graham Barr <gbarr@pobox.com>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap-dev@lists.sourceforge.net>

COPYRIGHT
Copyright (c) 1999-2000 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

$Id: SortResult.pm,v 1.5 2001/08/24 19:31:14 gbarr Exp $